VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
DataBrowserDelegateAdapter Class Referenceabstract

`#include <idatabrowserdelegate.h>`

Inheritance diagram for DataBrowserDelegateAdapter:

## Public Member Functions
int32_t | dbGetNumRows (CDataBrowser *browser) override=0
| return number of rows for CDataBrowser browser More...
int32_t | dbGetNumColumns (CDataBrowser *browser) override=0
| return number of columns for CDataBrowser browser More...
CCoord | dbGetRowHeight (CDataBrowser *browser) override=0
| return height of one row More...
CCoord | dbGetCurrentColumnWidth (int32_t index, CDataBrowser *browser) override=0
| return current width of index column More...
void | dbDrawCell (CDrawContext *context, const CRect &size, int32_t row, int32_t column, int32_t flags, CDataBrowser *browser) override=0
| draw a db cell More...
bool | dbGetColumnDescription (int32_t index, CCoord &minWidth, CCoord &maxWidth, CDataBrowser *browser) override
void | dbSetCurrentColumnWidth (int32_t index, const CCoord &width, CDataBrowser *browser) override
| the width of a column has changed More...
CCoord | dbGetHeaderHeight (CDataBrowser *browser) override
| return height of header More...
bool | dbGetLineWidthAndColor (CCoord &width, CColor &color, CDataBrowser *browser) override
| return the line width and color More...
void | dbDrawHeader (CDrawContext *context, const CRect &size, int32_t column, int32_t flags, CDataBrowser *browser) override
| draw the db header More...
void | dbAttached (CDataBrowser *browser) override
| databrowser view was attached to a parent More...
void | dbRemoved (CDataBrowser *browser) override
| databrowser view will be removed from its parent More...
CMouseEventResult | dbOnMouseDown (const CPoint &where, const CButtonState &buttons, int32_t row, int32_t column, CDataBrowser *browser) override
| mouse button was pressed on a cell More...
CMouseEventResult | dbOnMouseMoved (const CPoint &where, const CButtonState &buttons, int32_t row, int32_t column, CDataBrowser *browser) override
| mouse was moved over a cell More...
CMouseEventResult | dbOnMouseUp (const CPoint &where, const CButtonState &buttons, int32_t row, int32_t column, CDataBrowser *browser) override
| mouse button was released on a cell More...
void | dbOnDragEnterBrowser (IDataPackage *drag, CDataBrowser *browser) override
void | dbOnDragExitBrowser (IDataPackage *drag, CDataBrowser *browser) override
DragOperation | dbOnDragEnterCell (int32_t row, int32_t column, const CPoint &where, IDataPackage *drag, CDataBrowser *browser) override
DragOperation | dbOnDragMoveInCell (int32_t row, int32_t column, const CPoint &where, IDataPackage *drag, CDataBrowser *browser) override
void | dbOnDragExitCell (int32_t row, int32_t column, IDataPackage *drag, CDataBrowser *browser) override
bool | dbOnDropInCell (int32_t row, int32_t column, const CPoint &where, IDataPackage *drag, CDataBrowser *browser) override
void | dbSelectionChanged (CDataBrowser *browser) override
| the selection of the db changed More...
void | dbCellTextChanged (int32_t row, int32_t column, UTF8StringPtr newText, CDataBrowser *browser) override
| the text of the cell changed beginTextEdit was called for More...
void | dbCellSetupTextEdit (int32_t row, int32_t column, CTextEdit *textEditControl, CDataBrowser *browser) override
| beginTextEdit calls this, so you can setup the textedit control More...
void | dbOnKeyboardEvent (KeyboardEvent &event, CDataBrowser *browser) override
virtual int32_t | dbOnKeyDown (const VstKeyCode &keyCode, CDataBrowser *browser)
Public Member Functions inherited from IDataBrowserDelegate
virtual | ~IDataBrowserDelegate () noexcept=default

## Additional Inherited Members
Public Types inherited from IDataBrowserDelegate
enum | Flags { kRowSelected = 1 << 1 }

## Member Function Documentation

## ◆ dbAttached()

void dbAttached | ( | CDataBrowser * | browser | ) |
| inline override virtual

databrowser view was attached to a parent

Implements IDataBrowserDelegate.

## ◆ dbCellSetupTextEdit()

void dbCellSetupTextEdit | ( | int32_t | row,
|  | int32_t | column,
|  | CTextEdit * | textEditControl,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

beginTextEdit calls this, so you can setup the textedit control

Implements IDataBrowserDelegate.

## ◆ dbCellTextChanged()

void dbCellTextChanged | ( | int32_t | row,
|  | int32_t | column,
|  | UTF8StringPtr | newText,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

the text of the cell changed beginTextEdit was called for

Implements IDataBrowserDelegate.

## ◆ dbDrawCell()

void dbDrawCell | ( | CDrawContext * | context,
|  | const CRect & | size,
|  | int32_t | row,
|  | int32_t | column,
|  | int32_t | flags,
|  | CDataBrowser * | browser
| ) |  |
| override pure virtual

draw a db cell

Implements IDataBrowserDelegate.

Implemented in GenericStringListDataBrowserSource.

## ◆ dbDrawHeader()

void dbDrawHeader | ( | CDrawContext * | context,
|  | const CRect & | size,
|  | int32_t | column,
|  | int32_t | flags,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

draw the db header

Implements IDataBrowserDelegate.

## ◆ dbGetColumnDescription()

bool dbGetColumnDescription | ( | int32_t | index,
|  | CCoord & | minWidth,
|  | CCoord & | maxWidth,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

Implements IDataBrowserDelegate.

## ◆ dbGetCurrentColumnWidth()

CCoord dbGetCurrentColumnWidth | ( | int32_t | index,
|  | CDataBrowser * | browser
| ) |  |
| override pure virtual

return current width of index column

Implements IDataBrowserDelegate.

Implemented in GenericStringListDataBrowserSource.

## ◆ dbGetHeaderHeight()

CCoord dbGetHeaderHeight | ( | CDataBrowser * | browser | ) |
| inline override virtual

return height of header

Implements IDataBrowserDelegate.

## ◆ dbGetLineWidthAndColor()

bool dbGetLineWidthAndColor | ( | CCoord & | width,
|  | CColor & | color,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

return the line width and color

Implements IDataBrowserDelegate.

## ◆ dbGetNumColumns()

int32_t dbGetNumColumns | ( | CDataBrowser * | browser | ) |
| override pure virtual

return number of columns for CDataBrowser browser

Implements IDataBrowserDelegate.

Implemented in GenericStringListDataBrowserSource.

## ◆ dbGetNumRows()

int32_t dbGetNumRows | ( | CDataBrowser * | browser | ) |
| override pure virtual

return number of rows for CDataBrowser browser

Implements IDataBrowserDelegate.

Implemented in GenericStringListDataBrowserSource.

## ◆ dbGetRowHeight()

CCoord dbGetRowHeight | ( | CDataBrowser * | browser | ) |
| override pure virtual

return height of one row

Implements IDataBrowserDelegate.

Implemented in GenericStringListDataBrowserSource.

## ◆ dbOnDragEnterBrowser()

void dbOnDragEnterBrowser | ( | IDataPackage * | drag,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

Implements IDataBrowserDelegate.

## ◆ dbOnDragEnterCell()

DragOperation dbOnDragEnterCell | ( | int32_t | row,
|  | int32_t | column,
|  | const CPoint & | where,
|  | IDataPackage * | drag,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

Implements IDataBrowserDelegate.

## ◆ dbOnDragExitBrowser()

void dbOnDragExitBrowser | ( | IDataPackage * | drag,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

Implements IDataBrowserDelegate.

## ◆ dbOnDragExitCell()

void dbOnDragExitCell | ( | int32_t | row,
|  | int32_t | column,
|  | IDataPackage * | drag,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

Implements IDataBrowserDelegate.

## ◆ dbOnDragMoveInCell()

DragOperation dbOnDragMoveInCell | ( | int32_t | row,
|  | int32_t | column,
|  | const CPoint & | where,
|  | IDataPackage * | drag,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

Implements IDataBrowserDelegate.

## ◆ dbOnDropInCell()

bool dbOnDropInCell | ( | int32_t | row,
|  | int32_t | column,
|  | const CPoint & | where,
|  | IDataPackage * | drag,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

Implements IDataBrowserDelegate.

## ◆ dbOnKeyboardEvent()

void dbOnKeyboardEvent | ( | KeyboardEvent & | event,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

Implements IDataBrowserDelegate.

## ◆ dbOnKeyDown()

virtual int32_t dbOnKeyDown | ( | const VstKeyCode & | keyCode,
|  | CDataBrowser * | browser
| ) |  |
| inline virtual

## ◆ dbOnMouseDown()

CMouseEventResult dbOnMouseDown | ( | const CPoint & | where,
|  | const CButtonState & | buttons,
|  | int32_t | row,
|  | int32_t | column,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

mouse button was pressed on a cell

Implements IDataBrowserDelegate.

## ◆ dbOnMouseMoved()

CMouseEventResult dbOnMouseMoved | ( | const CPoint & | where,
|  | const CButtonState & | buttons,
|  | int32_t | row,
|  | int32_t | column,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

mouse was moved over a cell

Implements IDataBrowserDelegate.

## ◆ dbOnMouseUp()

CMouseEventResult dbOnMouseUp | ( | const CPoint & | where,
|  | const CButtonState & | buttons,
|  | int32_t | row,
|  | int32_t | column,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

mouse button was released on a cell

Implements IDataBrowserDelegate.

## ◆ dbRemoved()

void dbRemoved | ( | CDataBrowser * | browser | ) |
| inline override virtual

databrowser view will be removed from its parent

Implements IDataBrowserDelegate.

## ◆ dbSelectionChanged()

void dbSelectionChanged | ( | CDataBrowser * | browser | ) |
| inline override virtual

the selection of the db changed

Implements IDataBrowserDelegate.

## ◆ dbSetCurrentColumnWidth()

void dbSetCurrentColumnWidth | ( | int32_t | index,
|  | const CCoord & | width,
|  | CDataBrowser * | browser
| ) |  |
| inline override virtual

the width of a column has changed

Implements IDataBrowserDelegate.

The documentation for this class was generated from the following file:

- idatabrowserdelegate.h